Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.uddi.client.structures.response
Class ListResponse

    java.lang.Object
      |
      +--weblogic.uddi.client.structures.response.Response
            |
            +--weblogic.uddi.client.structures.response.ListResponse

Direct Known Subclasses:
  BindingDetail, BusinessDetail, BusinessDetailExt, BusinessList, DispositionReport, RegisteredInfo, ServiceDetail, ServiceList, TModelDetail, TModelList

public abstract class ListResponse
extends Response

Field Summary
`protected boolean` | `truncated`

Fields inherited from class weblogic.uddi.client.structures.response.Response
`generic, operator`

Constructor Summary
`ListResponse()`

Method Summary
`boolean` | `isTruncated()` Checks if the information in business detail is trucated.
`void` | `setTruncated(boolean value)` sets the truncation flag.

Methods inherited from class weblogic.uddi.client.structures.response.Response
`getGeneric, getOperator, setGeneric, setOperator`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### truncated

    protected boolean truncated

Constructor Detail

### ListResponse

    public ListResponse()

Method Detail

### setTruncated

    public void setTruncated(boolean value)

  sets the truncation flag.

  Parameters:
    `value` - value of the truncation flag.

### isTruncated

    public boolean isTruncated()

  Checks if the information in business detail is trucated.

  Returns:
    true if truncated, false otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference